MyGUI_EditBox.cpp File Reference
`#include "MyGUI_Precompiled.h"`
`#include "MyGUI_EditBox.h"`
`#include "MyGUI_Gui.h"`
`#include "MyGUI_ResourceSkin.h"`
`#include "MyGUI_SkinManager.h"`
`#include "MyGUI_InputManager.h"`
`#include "MyGUI_ClipboardManager.h"`
`#include "MyGUI_PointerManager.h"`
`#include "MyGUI_ISubWidgetText.h"`
`#include "MyGUI_ScrollBar.h"`
`#include <algorithm>`
`#include <cctype>`

Go to the source code of this file.

## Namespaces

namespace | MyGUI

## Enumerations

enum class

MyGUI::EditCommand {
MyGUI::Unknown , MyGUI::LoseFocus , MyGUI::ErasePrevious , MyGUI::EraseNext ,
MyGUI::Cut , MyGUI::Paste , MyGUI::Copy , MyGUI::NewLine ,
MyGUI::AcceptEntry , MyGUI::MoveLeft , MyGUI::MoveRight , MyGUI::MoveUp ,
MyGUI::MoveDown , MyGUI::MoveLeftWord , MyGUI::MoveRightWord , MyGUI::MoveLineBeginning ,
MyGUI::MoveLineEnd , MyGUI::MoveTextBeginning , MyGUI::MoveTextEnd , MyGUI::MovePageUp ,
MyGUI::MovePageDown , MyGUI::SelectAll , MyGUI::Undo , MyGUI::Redo
}

## Functions

static bool | MyGUI::isWhitespace (const UString::code_point &c)
static EditCommand | MyGUI::ToEditCommand (KeyCode key, const InputManager &input)

## Variables

const float | MyGUI::EDIT_CURSOR_TIMER = 0.7f
const float | MyGUI::EDIT_ACTION_MOUSE_TIMER = 0.05f
const int | MyGUI::EDIT_CURSOR_MAX_POSITION = 100000
const int | MyGUI::EDIT_CURSOR_MIN_POSITION = -100000
const size_t | MyGUI::EDIT_MAX_UNDO = 128
const size_t | MyGUI::EDIT_DEFAULT_MAX_TEXT_LENGTH = 2048
const float | MyGUI::EDIT_OFFSET_HORZ_CURSOR = 10.0f
const int | MyGUI::EDIT_ACTION_MOUSE_ZONE = 1500
const std::string_view | MyGUI::EDIT_CLIPBOARD_TYPE_TEXT = "Text"
const int | MyGUI::EDIT_MOUSE_WHEEL = 50